dnl    This file is part of the KDE libraries/packages
dnl    Copyright (C) 2001 Stephan Kulow (coolo@kde.org)
 
dnl    This file is free software; you can redistribute it and/or
dnl    modify it under the terms of the GNU Library General Public
dnl    License as published by the Free Software Foundation; either
dnl    version 2 of the License, or (at your option) any later version.
 
dnl    This library is distributed in the hope that it will be useful,
dnl    but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
dnl    Library General Public License for more details.
 
dnl    You should have received a copy of the GNU Library General Public License
dnl    along with this library; see the file COPYING.LIB.  If not, write to
dnl    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
dnl    Boston, MA 02111-1307, USA.

# Original Author was Kalle@kde.org
# I lifted it in some mater. (Stephan Kulow)
# I used much code from Janos Farkas

dnl Process this file with autoconf to produce a configure script.

AC_INIT(acinclude.m4) dnl a source file from your sub dir

dnl This is so we can use kde-common
AC_CONFIG_AUX_DIR(admin)

dnl This ksh/zsh feature conflicts with `cd blah ; pwd`
unset CDPATH

dnl Checking host/target/build systems, for make, install etc.
AC_CANONICAL_SYSTEM 
dnl Perform program name transformation
AC_ARG_PROGRAM

dnl Automake doc recommends to do this only here. (Janos)
AM_INIT_AUTOMAKE(kdenetwork, "3.1.3") dnl searches for some needed programs

KDE_SET_PREFIX

dnl generate the config header
AM_CONFIG_HEADER(config.h) dnl at the distribution this done

dnl Checks for programs.
AC_CHECK_COMPILERS
AC_ENABLE_SHARED(yes)
AC_ENABLE_STATIC(no)
KDE_PROG_LIBTOOL

dnl for NLS support. Call them in this order!
dnl WITH_NLS is for the po files
AM_KDE_WITH_NLS

dnl KDE_USE_QT
AC_PATH_KDE
#MIN_CONFIG
dnl Image readers/writers
KDE_CHECK_KIMGIO

dnl Checks for header files.
AC_CHECK_HEADERS(linux/tcp.h linux/if_ppp.h)
AC_CHECK_HEADERS(net/errno.h net/if_ppp.h)
AC_CHECK_HEADERS(asm/param.h)
AC_CHECK_HEADERS(sys/file.h sys/stat.h sys/time.h sys/cdefs.h sys/sockio.h)
AC_CHECK_HEADERS(fcntl.h unistd.h fnmatch.h sysent.h strings.h paths.h)
AC_CHECK_HEADERS(utmp.h re_comp.h getopt.h resolv.h byteswap.h)

AC_SYS_LARGEFILE
if test "x$ac_cv_sys_file_offset_bits" != "xno"; then
  CPPFLAGS="$CPPFLAGS -D_FILE_OFFSET_BITS=64"
fi

if test "x$ac_cv_sys_large_files" != "xno"; then
  CPPFLAGS="$CPPFLAGS -D_LARGE_FILES=1"
fi

AC_CHECK_FUNCS(flock)
AC_CHECK_USLEEP

dnl Checks for library functions.
AC_CHECK_FUNCS(socket fabsl strdup vsnprintf tzset)
AC_CHECK_SETENV
AC_CHECK_UNSETENV
AC_CHECK_GETDOMAINNAME
AC_CHECK_GETHOSTNAME
AC_C_BIGENDIAN

AC_CHECK_FUNC(res_init)
if test "$ac_cv_func_res_init" = no; then
  AC_CHECK_LIB(resolv, res_init, LIBRESOLV="-lresolv $LIBSOCKET", , $LIBSOCKET)
fi
AC_SUBST(LIBRESOLV)

AC_CACHE_CHECK(for timezone variable, ac_cv_var_timezone,
	AC_TRY_COMPILE([
		#include <time.h>
	], [
		timezone = 1;
	], ac_cv_var_timezone=yes, ac_cv_var_timezone=no))
if test $ac_cv_var_timezone = yes; then
	AC_DEFINE(HAVE_TIMEZONE, 1, [define if you have a timezone variable])
fi
AC_CACHE_CHECK(for tm_gmtoff in struct tm, ac_cv_struct_tm_gmtoff,	
	AC_TRY_COMPILE([
		#include <time.h>
	], [
		struct tm tm;
		tm.tm_gmtoff = 1;
	], ac_cv_struct_tm_gmtoff=yes, ac_cv_struct_tm_gmtoff=no))
if test $ac_cv_struct_tm_gmtoff = yes; then
	AC_DEFINE(HAVE_TM_GMTOFF, 1, [Define if you have a tm_gmtoff member in struct tm])
fi

#check for SLP
AC_MSG_CHECKING(for SLP support)
save_slptest_LIBS="$LIBS"
save_slptest_LDFLAGS="$LDFLAGS"
save_slptest_CPPFLAGS="$CPPFLAGS"
LDFLAGS="$all_libraries $LDFLAGS"
CPPFLAGS="$CPPFLAGS $all_includes"
LIBS="-lslp"
AC_TRY_LINK(	[
			#include <slp.h>
		],[
			SLPOpen(0, SLP_FALSE, (SLPHandle*) 0);
		],[
			AC_DEFINE(HAVE_SLP,1,[Define if SLP is available])
                        LIB_SLP="-lslp"
			AC_MSG_RESULT(yes)
		],[
			AC_MSG_RESULT(no)
                        LIB_SLP=""
			AC_MSG_WARN([Browsing in krfb and krdc not possible. Install OpenSLP (www.openslp.org).])
])
CPPFLAGS=$save_slptest_CPPFLAGS
LDFLAGS=$save_slptest_LDFLAGS
LIBS=$save_slptest_LIBS
AC_SUBST(LIB_SLP)

KDE_CHECK_STRLCPY
KDE_CHECK_THREADING

dnl For apps that NEED threads
if test -z "$LIBPTHREAD" && test -z "$USE_THREADS"; then
  DO_NOT_COMPILE="$DO_NOT_COMPILE knode kdict"
fi
CXXFLAGS="$CXXFLAGS -DQT_NO_COMPAT -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DKDE_NO_COMPAT -DKDE_NO_COMPAT_H"

AH_VERBATIM(_osf_config_h,
[
#ifdef __osf__
/* From Tom Leitner */
#if __STDC__
#include <stdarg.h>
#include <stdlib.h>
#else
#include <varargs.h>
#endif
#ifndef __OSF_INCLUDED__
#define __OSF_INCLUDED__
#define MSG_NOSIGNAL 0
#ifndef AF_LOCAL
#define AF_LOCAL 1          /* is the same as AF_UNIX */
#endif
#ifndef herror
#define herror(a)   printf(a)
#endif

#include <sys/types.h>
#ifdef __cplusplus
extern "C" int sethostname (char *name, int name_len );
extern "C" int flock(int filedes, int operation );
#else
int sethostname (char *name, int name_len );
int flock(int filedes, int operation );
#endif
#endif
#endif
])
AC_MSG_CHECKING(if kppp's headers are installed)
# this is a little piece of code out of kppp. If it doesn't compile,
# kppp is not good for this system. It doesn't do anything, but enough
# to fail ;)
AC_LANG_SAVE
AC_LANG_CPLUSPLUS
AC_TRY_LINK([
#if defined(__osf__) || defined(__svr4__)
  #define _POSIX_PII_SOCKET
  extern "C" int sethostname(char *name, int name_len);
#endif
#include <unistd.h>
#include <arpa/inet.h>
#include <net/ppp_defs.h>
#include <netinet/in.h>

#ifdef __svr4__
  #include <sys/stropts.h>
  #include <net/pppio.h>		/* SVR4, Solaris 2, etc. */

#else
  #include <sys/time.h>
  #include <sys/socket.h>
  #include <net/if.h>

  #ifndef STREAMS 

    #if defined(linux)
      #include <linux/if_ppp.h>
    #else
      #include <net/if_ppp.h>                /* BSD, NeXT, etc. */
    #endif

  #else				/* SunOS 4, AIX 4, OSF/1, etc. */
    #include <sys/stream.h>
    #include <net/ppp_str.h>
  #endif
#endif
],[
  sethostname("", 1); /* never run this program! :*/ 
], 
[ AC_MSG_RESULT(yes) ],
[ DO_NOT_COMPILE="$DO_NOT_COMPILE kppp"
  AC_MSG_RESULT(no)
])
AC_LANG_RESTORE
AC_CHECK_HEADERS(sys/param.h string.h)
KDE_CHECK_HEADER(X11/extensions/xf86vmode.h, [
	AC_DEFINE(HAVE_VIDMODE_EXTENSION, 1, [defined if XFree86's VidMode extension is supported])
	LIBXF86VIDMODE="-lXext -lXxf86vm"
], ,
[
#include <X11/Xlib.h>
])
AC_SUBST(LIBXF86VIDMODE)
KDE_CHECK_HEADER(X11/extensions/XTest.h, 
	[],
	AC_MSG_ERROR([XTest  extension header not found / no xlib headers]))

## ktalkd specific checks
## David Faure <faure@kde.org>

AC_DEFUN(AC_FIND_USER_METHOD,
[ 
AC_MSG_CHECKING(ktalkd find_user method)
if test -n "`echo $target_os | grep linux`" ; then
    if test -d /proc; then
       AC_DEFINE(PROC_FIND_USER, 1, [/proc exists])

## Sufficient if all xdm and kdm would call sessreg to log the user into utmp
       AC_DEFINE(UTMP_AND_PROC_FIND_USER, 1, [kdm/xmd log user])

## Waiting for this, here is complement, looking for DISPLAY set in any process
## in /proc that the user owns
       AC_DEFINE(ALL_PROCESSES_AND_PROC_FIND_USER, 1, [whatever])

       AC_MSG_RESULT(using /proc.)
    else
       AC_MSG_RESULT(/proc not found, using utmp.)
    fi
else
    AC_MSG_RESULT(not a linux system, using utmp.)
fi

])

AC_FIND_USER_METHOD

# Define a symbol, to know that we're compiling WITH kde.
# (Separate distributions of ktalkd can compile without KDE)
AM_CONDITIONAL(KDE_INSTALLED, test "$have_kde" = "yes")

dnl Check for utmp file
AC_CHECK_UTMP_FILE([], [DO_NOT_COMPILE="$DO_NOT_COMPILE ktalkd"])

AC_LANG_C
dnl Checks for libraries. 
AC_CHECK_LIB(bsd, bsd_ioctl, [LIBBSD="-lbsd"]) dnl for Linux with libc5
AC_SUBST(LIBBSD)

AC_CHECK_HEADERS(sgtty.h bsd/sgtty.h sys/select.h)

AC_HEADER_TIME

dnl check for this stupid scandir constness problem
AC_LANG_CPLUSPLUS
save_CXXFLAGS="$CXXFLAGS"
dnl for some reason CXXFLAGS contains $(KDE_CXXFLAGS) at this point. Argl.
CXXFLAGS="-Wall -W"
if test "$GCC" = "yes"; then
CXXFLAGS="$CXXFLAGS -pedantic-errors"
fi
AC_MSG_CHECKING(whether the third argument of scandir needs const)
AC_CACHE_VAL(ac_cv_scandir_const,
[
AC_TRY_COMPILE([
#include <dirent.h>
int select_process(const struct dirent *) { return 0; }
],
[
  struct dirent **namelist;
  (void) scandir("/proc", &namelist, select_process, 0 /*no sort*/);
],
ac_cv_scandir_const=yes,
ac_cv_scandir_const=no)
])
AC_MSG_RESULT($ac_cv_scandir_const)

if eval "test \"`echo $ac_cv_scandir_const`\" = yes"; then
  AC_DEFINE(SCANDIR_NEEDS_CONST, 1, [Define if third argument of scandir needs const])
fi
CXXFLAGS="$save_CXXFLAGS"

KDE_CREATE_SUBDIRSLIST
AM_CONDITIONAL(doc_SUBDIR_included, test "x$doc_SUBDIR_included" = xyes)
AM_CONDITIONAL(kdict_SUBDIR_included, test "x$kdict_SUBDIR_included" = xyes)
AM_CONDITIONAL(kfile_plugins_SUBDIR_included, test "x$kfile_plugins_SUBDIR_included" = xyes)
AM_CONDITIONAL(kget_SUBDIR_included, test "x$kget_SUBDIR_included" = xyes)
AM_CONDITIONAL(kit_SUBDIR_included, test "x$kit_SUBDIR_included" = xyes)
AM_CONDITIONAL(kmailcvt_SUBDIR_included, test "x$kmailcvt_SUBDIR_included" = xyes)
AM_CONDITIONAL(kpf_SUBDIR_included, test "x$kpf_SUBDIR_included" = xyes)
AM_CONDITIONAL(kppp_SUBDIR_included, test "x$kppp_SUBDIR_included" = xyes)
AM_CONDITIONAL(krdc_SUBDIR_included, test "x$krdc_SUBDIR_included" = xyes)
AM_CONDITIONAL(krfb_SUBDIR_included, test "x$krfb_SUBDIR_included" = xyes)
AM_CONDITIONAL(ksirc_SUBDIR_included, test "x$ksirc_SUBDIR_included" = xyes)
AM_CONDITIONAL(ktalkd_SUBDIR_included, test "x$ktalkd_SUBDIR_included" = xyes)
AM_CONDITIONAL(kxmlrpc_SUBDIR_included, test "x$kxmlrpc_SUBDIR_included" = xyes)
AM_CONDITIONAL(lanbrowsing_SUBDIR_included, test "x$lanbrowsing_SUBDIR_included" = xyes)
AM_CONDITIONAL(libkdenetwork_SUBDIR_included, test "x$libkdenetwork_SUBDIR_included" = xyes)
AM_CONDITIONAL(mimelib_SUBDIR_included, test "x$mimelib_SUBDIR_included" = xyes)
AM_CONDITIONAL(knewsticker_SUBDIR_included, test "x$knewsticker_SUBDIR_included" = xyes)
AM_CONDITIONAL(certmanager_SUBDIR_included, test "x$certmanager_SUBDIR_included" = xyes)
AM_CONDITIONAL(knode_SUBDIR_included, test "x$knode_SUBDIR_included" = xyes)
AM_CONDITIONAL(kmail_SUBDIR_included, test "x$kmail_SUBDIR_included" = xyes)
AM_CONDITIONAL(korn_SUBDIR_included, test "x$korn_SUBDIR_included" = xyes)
AC_CONFIG_FILES([ Makefile ])
AC_CONFIG_FILES([ certmanager/Makefile ])
AC_CONFIG_FILES([ doc/Makefile ])
AC_CONFIG_FILES([ doc/kcontrol/Makefile ])
AC_CONFIG_FILES([ doc/kcontrol/kcmktalkd/Makefile ])
AC_CONFIG_FILES([ doc/kcontrol/kxmlrpcd/Makefile ])
AC_CONFIG_FILES([ doc/kcontrol/lanbrowser/Makefile ])
AC_CONFIG_FILES([ doc/kdict/Makefile ])
AC_CONFIG_FILES([ doc/kgpgcertmanager/Makefile ])
AC_CONFIG_FILES([ doc/kit/Makefile ])
AC_CONFIG_FILES([ doc/kmail/Makefile ])
AC_CONFIG_FILES([ doc/knewsticker/Makefile ])
AC_CONFIG_FILES([ doc/knode/Makefile ])
AC_CONFIG_FILES([ doc/korn/Makefile ])
AC_CONFIG_FILES([ doc/kpf/Makefile ])
AC_CONFIG_FILES([ doc/kppp/Makefile ])
AC_CONFIG_FILES([ doc/krfb/Makefile ])
AC_CONFIG_FILES([ doc/ksirc/Makefile ])
AC_CONFIG_FILES([ doc/ktalkd/Makefile ])
AC_CONFIG_FILES([ doc/lisa/Makefile ])
AC_CONFIG_FILES([ kdict/Makefile ])
AC_CONFIG_FILES([ kdict/applet/Makefile ])
AC_CONFIG_FILES([ kdict/pics/Makefile ])
AC_CONFIG_FILES([ kfile-plugins/Makefile ])
AC_CONFIG_FILES([ kfile-plugins/rfc822/Makefile ])
AC_CONFIG_FILES([ kget/Makefile ])
AC_CONFIG_FILES([ kget/icons/Makefile ])
AC_CONFIG_FILES([ kget/kget_plug_in/Makefile ])
AC_CONFIG_FILES([ kget/pics/Makefile ])
AC_CONFIG_FILES([ kget/sounds/Makefile ])
AC_CONFIG_FILES([ kit/Makefile ])
AC_CONFIG_FILES([ kit/icons/Makefile ])
AC_CONFIG_FILES([ kit/icons/actions/Makefile ])
AC_CONFIG_FILES([ kmail/Makefile ])
AC_CONFIG_FILES([ kmail/about/Makefile ])
AC_CONFIG_FILES([ kmail/pics/Makefile ])
AC_CONFIG_FILES([ kmail/profiles/Makefile ])
AC_CONFIG_FILES([ kmailcvt/Makefile ])
AC_CONFIG_FILES([ knewsticker/Makefile ])
AC_CONFIG_FILES([ knewsticker/common/Makefile ])
AC_CONFIG_FILES([ knewsticker/kcmnewsticker/Makefile ])
AC_CONFIG_FILES([ knewsticker/knewstickerstub/Makefile ])
AC_CONFIG_FILES([ knewsticker/kntsrcfilepropsdlg/Makefile ])
AC_CONFIG_FILES([ knode/Makefile ])
AC_CONFIG_FILES([ knode/filters/Makefile ])
AC_CONFIG_FILES([ knode/pics/Makefile ])
AC_CONFIG_FILES([ korn/Makefile ])
AC_CONFIG_FILES([ kpf/Makefile ])
AC_CONFIG_FILES([ kpf/src/Makefile ])
AC_CONFIG_FILES([ kppp/Makefile ])
AC_CONFIG_FILES([ kppp/DB/Makefile ])
AC_CONFIG_FILES([ kppp/DB/Provider/Makefile ])
AC_CONFIG_FILES([ kppp/DB/Provider/Austria/Makefile ])
AC_CONFIG_FILES([ kppp/DB/Provider/Czech_Republic/Makefile ])
AC_CONFIG_FILES([ kppp/DB/Provider/Denmark/Makefile ])
AC_CONFIG_FILES([ kppp/DB/Provider/Germany/Makefile ])
AC_CONFIG_FILES([ kppp/DB/Provider/Netherlands/Makefile ])
AC_CONFIG_FILES([ kppp/DB/Provider/New_Zealand/Makefile ])
AC_CONFIG_FILES([ kppp/DB/Provider/Norway/Makefile ])
AC_CONFIG_FILES([ kppp/DB/Provider/Portugal/Makefile ])
AC_CONFIG_FILES([ kppp/DB/Provider/Slovenia/Makefile ])
AC_CONFIG_FILES([ kppp/DB/Provider/Sweden/Makefile ])
AC_CONFIG_FILES([ kppp/DB/Provider/Switzerland/Makefile ])
AC_CONFIG_FILES([ kppp/DB/Provider/Taiwan/Makefile ])
AC_CONFIG_FILES([ kppp/DB/Provider/Ukraine/Makefile ])
AC_CONFIG_FILES([ kppp/DB/Provider/United_Kingdom/Makefile ])
AC_CONFIG_FILES([ kppp/DB/Provider/Yugoslavia/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Argentina/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Australia/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Austria/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Austria/Business_1/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Austria/Business_2/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Austria/Minimum/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Austria/Standard/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Bangladesh/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Belgium/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Bosnia_and_Herzegovina/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Brasil/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Croatia/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Czechia/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Denmark/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Estonia/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Finland/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/France/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Germany/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Greece/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/HongKong/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Hungary/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Iceland/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/India/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Indonesia/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Ireland/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Israel/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Italy/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Jamaica/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Japan/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Kazakhstan/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Luxembourg/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Macedonia/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Malaysia/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Netherlands/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Norway/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Poland/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Portugal/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Romania/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Russia/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Singapore/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Slovakia/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Slovenia/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/SouthAfrika/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Spain/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Sweden/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Switzerland/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Turkey/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Ukraine/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/United_Kingdom/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Uruguay/Makefile ])
AC_CONFIG_FILES([ kppp/Rules/Yugoslavia/Makefile ])
AC_CONFIG_FILES([ kppp/icons/Makefile ])
AC_CONFIG_FILES([ kppp/logview/Makefile ])
AC_CONFIG_FILES([ kppp/pixmaps/Makefile ])
AC_CONFIG_FILES([ krdc/Makefile ])
AC_CONFIG_FILES([ krfb/Makefile ])
AC_CONFIG_FILES([ krfb/kcm_krfb/Makefile ])
AC_CONFIG_FILES([ krfb/kinetd/Makefile ])
AC_CONFIG_FILES([ krfb/krfb/Makefile ])
AC_CONFIG_FILES([ krfb/libvncserver/Makefile ])
AC_CONFIG_FILES([ krfb/srvloc/Makefile ])
AC_CONFIG_FILES([ ksirc/Makefile ])
AC_CONFIG_FILES([ ksirc/KSOpenkSirc/Makefile ])
AC_CONFIG_FILES([ ksirc/KSPrefs/Makefile ])
AC_CONFIG_FILES([ ksirc/KSProgress/Makefile ])
AC_CONFIG_FILES([ ksirc/KSTicker/Makefile ])
AC_CONFIG_FILES([ ksirc/img/Makefile ])
AC_CONFIG_FILES([ ksirc/img/emoticons/Makefile ])
AC_CONFIG_FILES([ ksirc/puke/Makefile ])
AC_CONFIG_FILES([ ktalkd/Makefile ])
AC_CONFIG_FILES([ ktalkd/kcmktalkd/Makefile ])
AC_CONFIG_FILES([ ktalkd/ktalkd/Makefile ])
AC_CONFIG_FILES([ ktalkd/ktalkd/machines/Makefile ])
AC_CONFIG_FILES([ ktalkd/ktalkdlg/Makefile ])
AC_CONFIG_FILES([ ktalkd/mail.local/Makefile ])
AC_CONFIG_FILES([ kxmlrpc/Makefile ])
AC_CONFIG_FILES([ lanbrowsing/Makefile ])
AC_CONFIG_FILES([ lanbrowsing/kcmlisa/Makefile ])
AC_CONFIG_FILES([ lanbrowsing/kio_lan/Makefile ])
AC_CONFIG_FILES([ lanbrowsing/lisa/Makefile ])
AC_CONFIG_FILES([ libkdenetwork/Makefile ])
AC_CONFIG_FILES([ libkdenetwork/pics4kmail/Makefile ])
AC_CONFIG_FILES([ libkdenetwork/pics4knode/Makefile ])
AC_CONFIG_FILES([ libkdenetwork/tests/Makefile ])
AC_CONFIG_FILES([ mimelib/Makefile ])
AC_CONFIG_FILES([ mimelib/mimelib/Makefile ])
AC_OUTPUT
if test "$all_tests" = "bad"; then
  if test ! "$cache_file" = "/dev/null"; then
    echo ""    
    echo "Please remove the file $cache_file after changing your setup"
    echo "so that configure will find the changes next time."
    echo ""
  fi
else
  echo ""
  echo "Good - your configure finished. Start make now"
  echo ""
fi
